libzypp 17.37.10

Fetcher.h File Reference
`#include <iosfwd>`
`#include <list>`
`#include <zypp/base/Flags.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/Url.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp/Digest.h>`
`#include <zypp/MediaSetAccess.h>`
`#include <zypp/FileChecker.h>`
`#include <zypp-core/ui/ProgressData>`

Go to the source code of this file.

## Classes
class | zypp::Fetcher
| This class allows to retrieve a group of files in a confortable way, providing some smartness that does not belong to the media layer like: More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Fetcher::Options)